<script setup>
import HeaderLogo from '@/Components/Items/Header/HeaderLogo.vue';
import HeaderNav from '@/Components/Items/Header/HeaderNav.vue';
import IsAuthNav from '@/Components/Items/Header/IsAuthNav.vue';
import { ref } from 'vue';
import HeaderRightNoMobile from "@/Components/Items/Header/HeaderRightNoMobile.vue";
import HeaderRightMobileAuth from "@/Components/Items/Header/HeaderRightMobileAuth.vue";
import HeaderMenuMobile from "@/Components/Items/Header/HeaderMenuMobile.vue";

//Отоброзить\Убрать хедер
let lastScrollTop = ref(0);
let isHeaderActive = ref(false);

let headerScroll = () => {
    let st = window.scrollY;

    if(st > lastScrollTop.value){
        isHeaderActive.value = true;
    } else {
        isHeaderActive.value = false;
    }

    if(st == 0){
        isHeaderActive.value = false;
    }

    lastScrollTop.value = st;
};
const burgerMobileMenu = ref(false);
const clickMenuMobile = () => burgerMobileMenu.value = !burgerMobileMenu.value;


</script>

<template>
    <header class="header" :class="{'dontShow': isHeaderActive}">
        <div class="header__inner">
            <div class="header__left">
                <HeaderLogo @clickMenuMobile="clickMenuMobile"/>
                <HeaderNav/>
            </div>
            <HeaderRightNoMobile v-if="!$page.props.auth.check" />
            <IsAuthNav v-if="!$page.props.auth.check" />
            <HeaderRightMobileAuth  v-if="$page.props.auth.check" />
        </div>
        <div class="header__hr-wrapper noMobile">
            <hr class="header__hr">
        </div>
        <HeaderMenuMobile :burgerMobileMenu="burgerMobileMenu"/>
    </header>
</template>

